package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairShiftSettings;
import com.repair.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-13
 */
public interface RepairShiftSettingsService extends IService<RepairShiftSettings> {
    int insertRepairShiftSettings(RepairShiftSettings rns);

    int updateRepairShiftSettings(RepairShiftSettings rns);

    PageUtils<RepairShiftSettings> queryPageRepairShiftSettingss(int currentPage, int pageCount, String name);

    int deleteRepairShiftSettingsById(int id);

    RepairShiftSettings getRepairById(int id);



    List<RepairShiftSettings> getRepairs();

    List<RepairShiftSettings> getRepairsShiftIdByHour(List<String> shiftIds, String dateNow);

    List<RepairShiftSettings> getRepairsByShiftIds(List<String> shiftIds, String dateNow);

    List<RepairShiftSettings> getRepairsByShiftIds(List<String> shiftIds);
}
